Loading...
Searching...
No Matches
netvector Struct Reference

`#include <api.h>`

## Data Fields

const void * | ptr
size_t | len

## Detailed Description

This vector type is passed to netconn_write_vectors_partly to send multiple buffers at once. ATTENTION: This type has to directly map struct iovec since one is casted into the other!

## Field Documentation

## len

size_t netvector::len

size of the application data to send

## ptr

const void* netvector::ptr

pointer to the application buffer that contains the data to send

The documentation for this struct was generated from the following file:

- src/include/lwip/api.h